:root{
    --bg-color-1: radial-gradient(circle,rgba(255, 255, 255, 1) 0%, rgba(255, 250, 237, 1) 50%, rgba(255, 248, 235, 1) 100%);
    --bg-color-2: radial-gradient(circle,rgb(255, 155, 47) 0%, rgba(255, 170, 36, 1) 50%, rgba(255, 159, 0, 1) 100%);
    --text-color-1: #0a0a0a;
    --text-color-2: #e8a020;
    --text-color-3: #de5d5d;
    --filters-color: #aaa;
    --filter-border-color: rgba(0, 0, 0, 0.101);
    
}

body{
    font-family: sans-serif;
}

/* ================== */
/* Bannière du header */
/* ================== */

#banniere{
    height: 300px;
    background: var(--bg-color-1);
}

#banniere div{
    display: flex;
    flex-direction: column;
    gap: 5px;
    padding: 150px 50px;
}

#banniere div p{
    color: var(--text-color-2);
    text-transform: uppercase;
    font-family: "Rubik Mono One", sans-serif;
    font-size: 1.3em;
}

#banniere div h1{
    color: var(--text-color-1);
    text-transform: uppercase;
    font-family: "Bungee", sans-serif;
    font-size: 2.9em;
}

/* ======================= */
/* Main                    */
/* ======================= */

main{
    min-height: 100vh;
    padding: 30px 40px 60px;
    background: white;
}

/* ================== */
/* Filtres            */
/* ================== */

#filtres{
    display: flex;
    align-items: flex;
    gap: 15px;
    margin-bottom: 55px;
    flex-direction: row-reverse;
}

#filtre-recherche{
    position: relative;
    width: 100%;
}

#btn-clear-recherche{
    right: 15px;
    color: var(--filters-color);
    transition: color 0.2s ease;
    cursor: pointer;
}

#btn-clear-recherche:hover{
    color: var(--text-color-2);
}

#filtre-recherche i{
    position: absolute;
    color: var(--filters-color);
    font-size: 0.9em;
    top: 30%;
}

#filtre-recherche i:first-child{
    left: 15px;
}

#input-recherche{
    border-radius: 50px;
    width: 100%;
    padding: 15px 40px;
    border: 1px solid var(--filter-border-color);
    font-size: 0.9em;
    color: var(--text-color-1);
    transition: border-color 0.2s ease;
    box-sizing: border-box;
    outline: none;
}

#input-recherche::placeholder{
    color: var(--filters-color);
}

#input-recherche:focus{
    border-color: var(--text-color-2);
}

#filtre-btns{
    display: flex;
    gap: 10px;
}

.filtre-btn{
    background-color: white;
    color: #999;
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 5px;
    padding: 10px 20px;
    border-radius: 50px;
    border: 1px solid var(--filter-border-color);
    font-size: 0.9em;
    font-weight: 700;
    transition: all 0.2s ease;
}

.filtre-btn .filtre-arrow{
    font-size: 0.8em;
    color: #ccc;
    transition: transform 0.2s ease, color 0.2s ease;
}

.filtre-btn:hover{
    border-color: var(--text-color-2);
}

.filtre-btn.actif{
    background: rgba(177, 177, 177, 0.077);
    color: var(--text-color-2);
    border-color: var(--text-color-2);
}

.filtre-btn.actif .filtre-arrow{
    color: var(--text-color-2);
}

.filtre-btn.desc .filtre-arrow{
    transform: rotate(180deg);
}

/* ================ */
/* Grille activités */
/* ================ */

#grille-activites{
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    justify-content: center;
    grid-gap: 40px 20px;
    margin: 30px;
}

/* ================ */
/* Cartes activités */
/* ================ */

#grille-activites article{
    background-color: var(--text-color-1);
    border-radius: 10px;
    overflow: hidden;
    transition: all 0.3s ease;
    display: flex;
    flex-direction: column;
    position: relative;
    box-shadow: 1px 2px 16px 5px rgba(0,0,0,0.25);
}

#grille-activites article:hover{
    transform: translateY(-1px);
}

.activite-header{
    height: 175px;
    overflow: hidden;
}

.activite-header img{
    width: 100%;
    height: 100%;
    transition: transform 0.5s ease;
    filter: brightness(0.85);
    object-fit: cover;
}

.activite-header img:hover{
    transform: scale(1.05);
    filter: brightness(0.9);
}

.activite-content{
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 20px;
}

.activite-content h1{
    color: white;
    font-weight: 900;
    font-size: 1.4em;
    font-family: "Bungee", sans-serif;
    letter-spacing: 0.03em;
    line-height: 1.3;
}

.activite-content p{
    color: var(--filters-color);
    font-size: 0.95em;
    line-height: 1.5;
    margin: 0;
    overflow: hidden;
}

.activite-footer{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 15px 20px;
}

.activite-footer button{
    font-family: "Bungee", sans-serif;
    font-size: 1em;
    font-weight: 700;
    border: none;
    width: 100%;
    border-radius: 15px;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    padding: 10px;
    background: var(--bg-color-2);
    transition: opacity 0.3s ease;
    letter-spacing: 0.03em;
    cursor: pointer;
}

.activite-footer button:hover{
    opacity: 0.9;
}

/* ============== */
/* Badge Activité */
/* ============== */

.activite-badge{
    z-index: 1000;
    display: flex;
    gap: 5px;
    text-transform: uppercase;
    align-items: center;
    position: absolute;
    top: 10px;
    right: 10px;
    padding: 5px 10px;
    border-radius: 30px;
    font-size: 0.75em;
    font-weight: 500;
    font-family: "Bungee", sans-serif;
    letter-spacing: 0.05em;
}

.activite-badge.top1{
    background: radial-gradient(ellipse farthest-corner at right bottom, #FEDB37 0%, #FDB931 8%, #9f7928 30%, #8A6E2F 40%, transparent 80%),
                radial-gradient(ellipse farthest-corner at left top, #FFFFFF 0%, #FFFFAC 8%, #D1B464 25%, #5d4a1f 62.5%, #5d4a1f 100%);
    color: white;
}

.activite-badge.top2{
    background: linear-gradient(90deg, #7d7d7d 0%, #fefefe 50%, #7d7d7d 100%);
    color: var(--text-color-1) !important;
}

.activite-badge.top3{
    background: linear-gradient(90deg, oklab(38.1% 0.055 0.072), oklab(65.3% 0.107 0.116));
    color: white;
}

/* ======== */
/* Messages */
/* ======== */

#activites-vide{
    text-align: center;
    color: var(--filters-color);
    font-size: 1.5em;
}

#activites-load-error{
    color: var(--text-color-3);
    font-weight: 700;
    text-align: center;
    font-size: 1.5em;
}

/* ========== */
/* Responsive */
/* ========== */

@media (max-width: 1200px){
    #grille-activites{
        grid-template-columns: repeat(3, 1fr);
    }

    #filtres{
        flex-direction: column;
    }
}

@media (max-width: 900px){
    #grille-activites{
        grid-template-columns: repeat(2, 1fr);
        gap: 20px 15px;
    }
}

@media (max-width: 600px){
    #grille-activites{
        grid-template-columns: 1fr;
    }
}

